Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Class HDF5ArchiverImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.defobj.HDF5ArchiverImpl

public class HDF5ArchiverImpl
extends BaseImpl
implements Archiver, ArchiverS, HDF5ArchiverS, HDF5Archiver

Protocol for creating HDF5 instances of the Archiver. Protocol for creating HDF5 instances of the Archiver Default system path is ~/swarmArchiver.hdf Default application path is //.hdf or the current directory.

Constructor Summary
`HDF5ArchiverImpl()`
`HDF5ArchiverImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`HDF5ArchiverImpl(Zone aZone, java.lang.String path)` Convenience method to create an HDF5Archiver from a specified path

Methods implemented by this class for interface swarm.defobj.Archiver
`getObject, getWithZone$key, putDeep$object, putShallow$object, registerClient, sync, unregisterClient`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDF5ArchiverImpl

    public HDF5ArchiverImpl()

### HDF5ArchiverImpl

    public HDF5ArchiverImpl(Zone aZone,
                            java.lang.String path)

  Convenience method to create an HDF5Archiver from a specified path

### HDF5ArchiverImpl

    public HDF5ArchiverImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD